Bug 1703461 - Amazon EC2 missing regions in CloudForms UI
Summary: Amazon EC2 missing regions in CloudForms UI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.10.0
Hardware: All
OS: All
high
high
Target Milestone: GA
: 5.10.8
Assignee: Alexander Zagaynov
QA Contact: Matouš Mojžíš
Red Hat CloudForms Documentation
URL:
Whiteboard:
Depends On: 1698567
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-04-26 13:56 UTC by Satoe Imaishi
Modified: 2019-08-13 08:35 UTC (History)
9 users (show)

Fixed In Version: 5.10.8.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1698567
Environment:
Last Closed: 2019-08-13 08:35:35 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2466 0 None None None 2019-08-13 08:35:46 UTC

Comment 2 CFME Bot 2019-04-26 14:26:23 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/hammer:

https://github.com/ManageIQ/manageiq-providers-amazon/commit/b430c0796a0f8b06221fb06369e60836ae42cc32
commit b430c0796a0f8b06221fb06369e60836ae42cc32
Author:     Daniel Berger <djberg96@gmail.com>
AuthorDate: Wed Feb 13 16:02:49 2019 -0500
Commit:     Daniel Berger <djberg96@gmail.com>
CommitDate: Wed Feb 13 16:02:49 2019 -0500

    Merge pull request #514 from AlexanderZagaynov/updates/new_itypes_2019-02-11

    update instance types and regions

    (cherry picked from commit d8667456cd6a6f16794e3ea1b504ad8658e4aa0d)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1703472
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1703473
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1703474
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1703475
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1703461

 db/fixtures/aws_instance_types.yml | 827 +-
 db/fixtures/aws_regions.yml | 8 +
 spec/models/manageiq/providers/amazon/aws_refresher_spec_counts.rb | 2 +-
 spec/models/manageiq/providers/amazon/cloud_manager/stubbed_refresher_spec.rb | 2 +-
 spec/models/manageiq/providers/amazon/regions_spec.rb | 6 +-
 spec/vcr_cassettes/manageiq/providers/amazon/regions.yml | 22 +-
 6 files changed, 803 insertions(+), 64 deletions(-)

Comment 3 CFME Bot 2019-04-29 14:31:20 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/hammer:

https://github.com/ManageIQ/manageiq-providers-amazon/commit/a19a64b5fc662409569c839cb300ef1b5eddd6eb
commit a19a64b5fc662409569c839cb300ef1b5eddd6eb
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Fri Apr 12 08:56:30 2019 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Fri Apr 12 08:56:30 2019 -0400

    Merge pull request #527 from AlexanderZagaynov/BZ-1698567_update_regions

    disable new us-gov region by default

    (cherry picked from commit bf7e8c4fbc877cd2d73968bc7c9dc455cfb413e8)

    https://bugzilla.redhat.com/show_bug.cgi?id=1703461

 config/settings.yml | 1 +
 1 file changed, 1 insertion(+)

Comment 12 Alexander Zagaynov 2019-05-10 01:34:11 UTC
I've added Osaka region in https://github.com/ManageIQ/manageiq-providers-amazon/pull/532
However, since it is a very special one (https://www.reddit.com/r/aws/comments/9u90db/so_whats_the_story_behind_osaka_region/) - I disabled it by default.
P.S. I also added one more: https://aws.amazon.com/blogs/aws/now-open-aws-asia-pacific-hong-kong-region/

Comment 16 CFME Bot 2019-07-22 21:39:00 UTC
New commit detected on ManageIQ/manageiq-providers-amazon/hammer:

https://github.com/ManageIQ/manageiq-providers-amazon/commit/7ff93bc57f16a12310884ca57f213cc66fdd284e
commit 7ff93bc57f16a12310884ca57f213cc66fdd284e
Author:     Adam Grare <agrare@redhat.com>
AuthorDate: Thu May  9 21:44:41 2019 -0400
Commit:     Adam Grare <agrare@redhat.com>
CommitDate: Thu May  9 21:44:41 2019 -0400

    Merge pull request #532 from AlexanderZagaynov/BZ-1705565_new_regions_and_instance_types

    new regions and instance types

    (cherry picked from commit 9d1567e0816e583493924a13b4419b109d23d3a9)

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1703474
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1728708
    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1703461

 app/models/manageiq/providers/amazon/regions.rb | 12 +
 config/settings.yml | 2 +
 db/fixtures/aws_instance_types.yml | 2251 +-
 db/fixtures/aws_regions.yml | 8 +
 spec/models/manageiq/providers/amazon/aws_refresher_spec_counts.rb | 2 +-
 spec/models/manageiq/providers/amazon/cloud_manager/stubbed_refresher_spec.rb | 2 +-
 spec/models/manageiq/providers/amazon/regions_spec.rb | 31 +-
 spec/vcr_cassettes/manageiq/providers/amazon/regions.yml | 16 +-
 8 files changed, 2017 insertions(+), 307 deletions(-)

Comment 17 Matouš Mojžíš 2019-08-05 10:50:26 UTC
Verified in 5.10.8.0. All the mentioned regions are in CFME, but some of them are disabled by default.

Comment 19 errata-xmlrpc 2019-08-13 08:35:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:2466


Note You need to log in before you can comment on or make changes to this bug.